MetacatUI - Feature #6942

Use Javascript-only for copying to clipboard
01/19/2016 09:59 AM - Lauren Walker

Status: Resolved Start date: 01/19/2016
Priority: Normal Due date:

Assignee: Lauren Walker % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.12.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

Replace the ZeroClipboard library with the (http://zenorocha.github.io/clipboard.js) Clipboard.js library

History

#1 - 08/03/2016 10:14 AM - Lauren Walker
- Target version changed from 1.12.0 to 2.0.0

#2 - 08/18/2016 10:15 AM - Lauren Walker
- Target version changed from 2.0.0 to 1.12.0

#3 - 08/22/2016 03:04 PM - Lauren Walker

- Status changed from New to Resolved

| replaced ZeroClipboard with Clipboard.js. It doesn't work in Safari, so a backup option is presented to users when the copy event fails: A text input
with the copyable text will be shown and highlighted, and a tooltip with the message "Press Citrl+c to copy" will be displayed.
